> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.itential.com/itential-cloud/api-reference/workflow-engine/get-worker-statuses/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server. # Get worker status GET https://example.itential.io/workflow_engine/workers/status Returns the current and future states of the task and job workers. Reference: https://docs.itential.com/itential-cloud/api-reference/workflow-engine/get-worker-statuses ## Authentication - `Authorization` header (basic auth, required) — Basic authentication of the form `Basic `. ## Response ### 200 Statuses of the job and task worker - `jobWorker` (object, optional) - `running` (boolean, optional) — Whether the worker is currently running - `clusterValue` (enum, optional) — Whether the service_config was set to enable this worker - Allowed values: `enabled`, `disabled`, `not defined` - `localValue` (enum, optional) — Whether the properties.json was set to enable this worker - Allowed values: `enabled`, `disabled`, `not defined` - `startupValue` (boolean, optional) — Whether the clusterValue and localValue combined allow the worker to start - `taskWorker` (object, optional) - `running` (boolean, optional) — Whether the worker is currently running - `clusterValue` (enum, optional) — Whether the service_config was set to enable this worker - Allowed values: `enabled`, `disabled`, `not defined` - `localValue` (enum, optional) — Whether the properties.json was set to enable this worker - Allowed values: `enabled`, `disabled`, `not defined` - `startupValue` (boolean, optional) — Whether the clusterValue and localValue combined allow the worker to start ## Errors ### 500 Internal Server Error Error response from API - `any` ## Examples **Response** ```json { "jobWorker": { "running": true, "clusterValue": "enabled", "localValue": "enabled", "startupValue": true }, "taskWorker": { "running": true, "clusterValue": "enabled", "localValue": "enabled", "startupValue": true } } ``` **SDK Code** ```python import requests url = "https://example.itential.io/workflow_engine/workers/status" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'https://example.itential.io/workflow_engine/workers/status'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://example.itential.io/workflow_engine/workers/status" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://example.itential.io/workflow_engine/workers/status") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://example.itential.io/workflow_engine/workers/status") .asString(); ``` ```php request('GET', 'https://example.itential.io/workflow_engine/workers/status'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://example.itential.io/workflow_engine/workers/status"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/workflow_engine/workers/status")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```